Skip to main content
POST
Create Identity Verification Check

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

identity_id
string
required

Unique identifier of the identity to verify

Body

application/json
request_id
string<uuid>
required

Request identifier in UUID format. Serves as an idempotency key.

Pattern: ^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
redirect_url
string | null

URL to redirect the user to after completing identity verification

reason
enum<string>

Reason for the identity verification check

Available options:
IDV_CHECK_REASON_UNSPECIFIED,
ONBOARDING,
ACCOUNT_RECOVERY,
RFI
Example:

"ONBOARDING"

labels
string[]

Labels to associate with this identity verification check

Response

Success

id_verification_check
id_verification_check · object

The created identity verification check